Description

The DecmSCU class currently contains some more complex methods handling e.g. the (complex) C-GET protocol.
| would suggest that DemSCU focuses on the (simple) base functionality and leaves others to derived classes.
The same approach has been taken for the C-STORE protocol, where DcmStorageSCU contains the storage-specific code.

History

#1 - 2013-11-22 16:34 - Michael Onken

In my opinion a minimal implementation of each DIMSE protocol should be inside the class, so that the normal user does not have to care about too
many details, gets an easy example of how implementation works, and may re-use the functions existing from the derived classes. That does not
mean that particular extra functionality (e.g. storing files received via C-STORE) could not be removed from the class, though | do not think that is ok

as a little example, aside the full implementation offered by the DCMTK class DcmStorageSCP.

At least we should make sure in the future that the class is not overloaded but stays slim.

#2 - 2017-03-24 12:48 - Marco Eichelberg

- Target version changed from 3.6.2 to 3.6.3

#3 - 2018-02-05 19:37 - Jan Schlamelcher

- Target version changed from 3.6.3 to 3.6.6

#4 - 2020-05-25 13:28 - Michael Onken

- Target version deleted (3.6.6)
